  
if (typeof(KuferTools.Raumuebersicht) == "undefined") {
  registerNamespace('KuferTools.Raumuebersicht');
}


function removeFilterRaumuebersicht(){
  $('#dialogFilterRaumuebersicht_gebaeude').val("");

}

function createDialogFilterRaumuebersicht(){
  var $dialogFilterRaumuebersicht = $('#dialogFilterRaumuebersicht');
  
  var buttons = { 
	  "Schließen":   function() {  $(this).dialog("close"); },
          "Filter leeren": function() { removeFilterRaumuebersicht(); $('#submitFilterRaumuebersicht').submit();$(this).dialog("close");
                                   
                                    KuferTools.Utils.AjaxLadebildschirm.Start();
                             },
	  "Filter setzen": submitFilterRaumuebersicht
  };
  
  $dialogFilterRaumuebersicht.dialog({
    modal:       true,
    autoOpen:    false,
    width:       480,
    title:       'Die Anzeige eingrenzen auf:',
    bgiframe:    true,
    resizable:   false,
    dialogClass: 'dialogwindow',
    buttons:     buttons
  });
  
} //end createDialogFilterRaumübersicht

function submitFilterRaumuebersicht() {
  $('#submitFilterRaumuebersicht').submit();$('#dialogFilterRaumuebersicht').dialog("close");
  KuferTools.Utils.AjaxLadebildschirm.Start();
}

/**
 * Eventhandler für den Ausgabe einer Stundenplangrafik via Dialog
 * 
 * Das Dialogdiv wurde bereits vorher - beim Ausgeben des Stundenplanbuttons in Methode getcontent() der Page (genauer: in
 * Method  _getHmStundenplanDialog in PageRaumuebersicht) mit PHP zusammengebaut, da hier bestimmte Kalenderwochenfunktionen 
 * vorteilhaft genutzt werden können. Es wird nicht direkt zum Dialog gemacht, sondern aus 
 * dem DOM ausgehängt, und später - beim Anklicken des Buttons - per ShowMessage() angezeigt.
 */
KuferTools.Raumuebersicht.initHMStundenplanDialog = function() {
  var $dialog = $('#hm_stundenplan_dialog');
  
  $dialog.detach();

  $(document).on('change','.kalwochennr #kalwochnr, .kalwochenjahr #kalwochjahr',function() {  
    //ist in functions.js implementiert
    getDateValuesFromKalWoInput('kalwochnr','kalwochjahr','kt_von','kt_bis','datbereich_von','datbereich_bis',0);
  });
 
  // Klickhandler für den Dialog zur Ausgabe einer Stundenplangrafik 
  $(".stdplangrafik").click(function(event){
    event.preventDefault();
    //  toolsectionId = 15;
    var titel = 'Stundenplan für eine Kalenderwoche';
   
    var buttons = {
      "Ok":  KuferTools.Raumuebersicht.handleStundenplanOutput,
        
      "Abbrechen": function() { $(this).dialog("close");}
    };
    
    //BUG-Fix: ohne clone() verschwindet der Dialoginhalt beim 2ten Klick auf Stundenplan (im HM Tool)
    $dialog = $dialog.clone(); 
    //Jetzt den Dialog ausgeben, der in PHP generiert und aus dem DOM ausgehängt wurde 
    showMessage($dialog,titel, buttons );
  });

} //end initHMStundenplanDialog()


//Behandelt die Ausgabe des Stundenplans, nach Absenden des Formulars (Dialogs) für die Einstellungen zum Stundenplan.
//wird aktiviert durch Klick auf den "OK" Button im Dialog, der die Einstellungen aus buildStundenplanFormular enthält
 KuferTools.Raumuebersicht.handleStundenplanOutput = function(){
   // hier einfach das Formular abschicken
    //this enthält den Dialog d.h. das div#hm_stundenplan_dialog und darin ist das Einstellformular enthalten
    $form = $(this).find('form')         
     
    $form.submit();
    $(this).dialog("close");
 }  //end  handleStundenplanOutput()


/*************************************************************************************************************
   JQuery Event Handling, das beim Laden des Dokuments bereitgestellt wird  //!!!!!Document.Ready!!!!
***************************************************************************************************************/
$(document).ready(function() {
  createDialogFilterRaumuebersicht();
  
  //den StundenplanDialog zunächst initilisieren u.a. erst mal aushängen
  KuferTools.Raumuebersicht.initHMStundenplanDialog();
  
  $('.filter_button_raumuebersicht').click(function() {
    $('#dialogFilterRaumuebersicht').dialog('open');
    
    //Bei Drücken der Enter-Taste Formular abschicken
    $('form').find('input, select').keypress(function(event) {
      if (event.which === 13) {
        event.preventDefault();
        submitFilterRaumuebersicht();
      }
    });
    return false;
  });
  
  jQuery('.suchen_button').on('click', function() {
    var buttons = {
      'Schließen': function() {
        jQuery(this).dialog('close');
      },
      'Filter leeren': function() {
        var selectOptions =  $('#searchgebaeude option');
        for(var i = 0; i < selectOptions.length; i++){
          selectOptions[i].selected = false;
        }
        jQuery(this).dialog('close');
        jQuery(this).find("form").submit();
      },
      'Filter setzen': function() {
        jQuery(this).find("form").submit();
        jQuery(this).dialog('close');
      }
    };
    // ein jQuery-Dialog öffnen
    // davor über Ajax ein Paar infos holen, wie was freigegeben ist? Oder einfach wie bisher per Ajax den kompletten inhalt laden?
    KuferTools.Utils.AjaxLadebildschirm.Start();
    jQuery.post('index.php?tool_id='+KuferTools.ToolId+'&action=showFilter', function(data) {
      KuferTools.showMessage({meldung: data, title: 'Raumfilter', buttons: buttons, width: 'auto', pressEnterFunc: buttons['Filter setzen']});
      KuferTools.Utils.AjaxLadebildschirm.Stop();
      //statt: showMessage(data, 'Kursfilter', buttons);
      var $form = jQuery(this).find('#suchformDiv');
    });
  });
 
  $('.alleMarkieren').click(function(event){
	 event.preventDefault();
	 $('#dialog_markieren_hm').dialog('open');
  });
  
  //Klickhandler für die Hausmeisterdrucklisten; unterscheidet zwischen Raumübersicht im Hausmeistertool (Tool 5) und 
  //Raumübersicht für MA (Tool 34)

  $(".hmDruckListe").click(function(event){
	    event.preventDefault();
      toolsectionId = 15;
      if (KuferTools.ToolId === 34)
        toolsectionId = 415;
	    KuferTools.HandleListenKlick('hausmeisterlisten', "Druck der Hausmeisterlisten", "tool_id=" + KuferTools.ToolId + "&toolsection_id=" + 
                                    toolsectionId + "&zielListe=" );
	  });
          
    
 
  $('.main_buttons a.blaettern').click(function () {
    var $this = $(this);
    var href = $this.prop('href');
	$this.prop('href', href + KuferTools.GetUrlPartForIdSelection());
  });	
}); //End Ready Handler

